main {
    background-color: rgba(255, 255, 255, 0.548);
    border: 3px solid #8c462f;
    margin: 0% 25% 40px 25%;
}
.location {
    padding: 60px 37px;
}
.location h2 {
    font-size: 40px;
    color: #8c462f;
    font-weight: 600;
    font-family: "Fredericka the Great", serif; 
    opacity: 0.7;
    margin-bottom: 20px;
}
.location-details {
    display: flex;
    justify-content: space-between;
}
.contact-info {
    width: 230px;
    display: flex;
    flex-direction: column;
    height: 120px;
}
.contact-info h3 {
    font-size: 25px;
    color: #8c462f8f;
    font-weight: 600;
    font-family: "Fredericka the Great", serif; 
}
.contact-info p {
    font-size: 16px;
    color:#8c462fbb;
}
.location-image {
    border: 3px solid white;
    padding: 1px;
    width: 90%;
}
.contato {
    display: flex;
    flex-direction: column;
    margin-bottom: 90px;
}
.contato a {
    text-decoration: none;
    color: inherit;
    font-size: inherit;
}

@media (max-width: 1580px) {
    main {
        margin: 0 10% 40px 10%;
    }
}
@media (max-width: 1000px) {
    main {
        margin: 0 1% 40px 1%;
    }
}
@media (max-width: 700px) {
    main {
        margin: 0 1% 40px 1%;
    }
    .location {
        padding: 20px 37px 60px 37px;
    }
    .location-details {
        flex-direction: column-reverse;
        margin-top: 20px;
    }
    .contact-info {
        width: 100%;
        flex-direction: row;
        justify-content: space-between;
    }
    .contact-info img {
        width: 200px;
        margin: auto 0;
    }
    iframe {
        width: 100%;
    }
}
@media (max-width: 550px) {
    .location {
        padding: 20px 10px 60px 10px;
    }
    .contact-info p {
        font-size: 13px;
    }
    .contact-info h3 {
        font-size: 20px;
    }
}
@media (max-width: 400px) {
    .location {
        padding: 20px 37px;
    }
    .contact-info {
        flex-direction: column;
        justify-content: initial;
        height: 300px;
    }
    .contato {
        margin-bottom: 20px;
    }
    .contact-info img {
        margin: 0;
    }
}